Summary:	This is the ASN.1 library used in GNUTLS
Name:		libtasn1
Version:	4.0
Release: 	1

License:	LGPL
Group:		System Environment/Libraries
URL:		http://www.gnu.org/software/gnutls/download.html
Source0:	ftp://ftp.gnutls.org/pub/gnutls/%{name}/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.gnutls.org/pub/gnutls/%{name}/%{name}-%{version}.tar.gz.sig
Source2:	%{name}.so.3-aix32
Source3:	%{name}.so.3-aix64
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	bison, make

%description
This is the ASN.1 library used in GNUTLS.  More up to date information can
be found at http://www.gnu.org/software/gnutls and http://www.gnutls.org.

The library is available as 32-bit and 64-bit.


%package devel
Summary:	Files for development of applications which will use libtasn1
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	info
Requires:	/sbin/install-info

%description devel
This is the ASN.1 library used in GNUTLS.  More up to date information can
be found at http://www.gnu.org/software/gnutls and http://www.gnutls.org.

This package contains files for development of applications which will
use libtasn1.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%package tools
Summary:	Some ASN.1 tools
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}

%description tools
This is the ASN.1 library used in GNUTLS.  More up to date information can
be found at http://www.gnu.org/software/gnutls and http://www.gnutls.org.

This package contains tools using the libtasn library.


%prep
%setup -q


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --infodir=%{_prefix}/info \
    --enable-shared --enable-static
gmake %{?_smp_mflags}

cp lib/.libs/%{name}.so.6 .
gmake distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --infodir=%{_prefix}/info \
    --enable-shared --enable-static
gmake %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q lib/.libs/%{name}.a ./%{name}.so.6

# Add the older 2.1.X version shared members for compatibility with older apps
# (make sure they're set for LOADONLY with 'strip -e')
cp %{SOURCE2} %{name}.so.3
/usr/bin/strip -X32 -e %{name}.so.3
/usr/bin/ar -X32 -q lib/.libs/%{name}.a %{name}.so.3
cp %{SOURCE3} %{name}.so.3
/usr/bin/strip -X64 -e %{name}.so.3
/usr/bin/ar -X64 -q lib/.libs/%{name}.a %{name}.so.3


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake install DESTDIR=${RPM_BUILD_ROOT}

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%post devel
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun devel
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc doc/TODO
%doc AUTHORS COPYING* ChangeLog NEWS README THANKS
%{_libdir}/*.a
/usr/lib/*.a


%files tools
%defattr(-,root,system,-)
%{_bindir}/asn1*
%{_mandir}/man1/*
/usr/bin/asn1*


%files devel
%defattr(-,root,system,-)
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_infodir}/*.info.*
%{_mandir}/man3/*
/usr/include/*
/usr/lib/*.la


%changelog
* Fri Jun 27 2014 Michael Perzl <michael@perzl.org> - 4.0-1
- updated to version 4.0

* Fri Jun 27 2014 Michael Perzl <michael@perzl.org> - 3.7-1
- updated to version 3.7

* Sun May 25 2014 Michael Perzl <michael@perzl.org> - 3.6-1
- updated to version 3.6

* Fri May 02 2014 Michael Perzl <michael@perzl.org> - 3.5-1
- updated to version 3.5

* Tue Nov 26 2013 Michael Perzl <michael@perzl.org> - 3.4-1
- updated to version 3.4

* Mon Mar 25 2013 Michael Perzl <michael@perzl.org> - 3.3-1
- updated to version 3.3

* Sat Dec 01 2012 Michael Perzl <michael@perzl.org> - 3.2-1
- updated to version 3.2

* Sat Nov 24 2012 Michael Perzl <michael@perzl.org> - 3.1-1
- updated to version 3.1

* Tue Oct 30 2012 Michael Perzl <michael@perzl.org> - 3.0-1
- updated to version 3.0

* Mon Sep 24 2012 Michael Perzl <michael@perzl.org> - 2.14-1
- updated to version 2.14

* Fri Jun 01 2012 Michael Perzl <michael@perzl.org> - 2.13-1
- updated to version 2.13

* Mon Mar 19 2012 Michael Perzl <michael@perzl.org> - 2.12-1
- updated to version 2.12

* Fri Nov 25 2011 Michael Perzl <michael@perzl.org> - 2.11-1
- updated to version 2.11

* Wed Oct 26 2011 Michael Perzl <michael@perzl.org> - 2.10-1
- updated to version 2.10

* Mon Dec 06 2010 Michael Perzl <michael@perzl.org> - 2.9-1
- updated to version 2.9

* Thu Sep 30 2010 Michael Perzl <michael@perzl.org> - 2.8-1
- updated to version 2.8

* Fri May 21 2010 Michael Perzl <michael@perzl.org> - 2.7-1
- updated to version 2.7

* Tue Apr 20 2010 Michael Perzl <michael@perzl.org> - 2.6-1
- updated to version 2.6

* Mon Mar 22 2010 Michael Perzl <michael@perzl.org> - 2.5-1
- updated to version 2.5

* Tue Jun 16 2009 Michael Perzl <michael@perzl.org> - 2.2-1
- updated to version 2.2

* Tue Jun 16 2009 Michael Perzl <michael@perzl.org> - 2.1-1
- updated to version 2.1

* Tue Jun 16 2009 Michael Perzl <michael@perzl.org> - 2.0-1
- updated to version 2.0

* Wed Mar 11 2009 Michael Perzl <michael@perzl.org> - 1.8-1
- updated to version 1.8

* Mon Dec 29 2008 Michael Perzl <michael@perzl.org> - 1.7-1
- updated to version 1.7

* Fri Sep 26 2008 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Fri May 16 2008 Michael Perzl <michael@perzl.org> - 1.4-1
- updated to version 1.4

* Fri Mar 28 2008 Michael Perzl <michael@perzl.org> - 1.3-2
- corrected some SPEC file errors

* Wed Feb 20 2008 Michael Perzl <michael@perzl.org> - 1.3-1
- updated to version 1.3

* Mon Jan 07 2008 Michael Perzl <michael@perzl.org> - 1.2-2
- included both 32-bit and 64-bit shared objects

* Mon Dec 17 2007 Michael Perzl <michael@perzl.org> - 1.2-1
- First version for AIX5L v5.1 and higher
